uk.gov.hmrc.alertconfig.builders

# AlertConfigBuilder

###
Related Doc: package builders

#### case class AlertConfigBuilder(serviceName: String, handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Http5xxThreshold = Http5xxThreshold(), http5xxPercentThreshold: Double = 100, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue) extends Builder[Option[String]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Builder[Option[String]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlertConfigBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. Builder
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlertConfigBuilder(serviceName: String, handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Http5xxThreshold = Http5xxThreshold(), http5xxPercentThreshold: Double = 100, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def build: Option[String]

   Definition Classes
     AlertConfigBuilder → Builder

6. #### def buildLogMessageThresholdsJson: String

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val containerKillThreshold: Int

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### val exceptionThreshold: Int

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getZone(appConfigFile: File): Option[String]

14. #### val handlers: Seq[String]

15. #### val http5xxPercentThreshold: Double

16. #### val http5xxThreshold: Http5xxThreshold

17. #### val httpStatusThresholds: Seq[HttpStatusThreshold]

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val logMessageThresholds: Seq[LogMessageThreshold]

20. #### val logger: Logger

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val serviceName: String

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### val totalHttpRequestThreshold: Int

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def withContainerKillThreshold(containerCrashThreshold: Int): AlertConfigBuilder

31. #### def withExceptionThreshold(exceptionThreshold: Int): AlertConfigBuilder

32. #### def withHandlers(handlers: String*): AlertConfigBuilder

33. #### def withHttp5xxPercentThreshold(http5xxPercentThreshold: Int): AlertConfigBuilder

34. #### def withHttp5xxThreshold(http5xxThreshold: Int, severity: AlertSeverityType = AlertSeverity.critical): AlertConfigBuilder

35. #### def withHttpStatusThreshold(threshold: HttpStatusThreshold): AlertConfigBuilder

36. #### def withLogMessageThreshold(message: String, threshold: Int, lessThanMode: Boolean = false): AlertConfigBuilder

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Builder[Option[String]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped